CreateSite
POST
/api/sites
const url = 'https://demo.consystence.com/api/sites';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","code":"example","description":"example","location":"example","timeZone":"example","id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/sites \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "code": "example", "description": "example", "location": "example", "timeZone": "example", "id": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
code
required
string
description
string
location
string
timeZone
string
id
string
Examplegenerated
{ "name": "example", "code": "example", "description": "example", "location": "example", "timeZone": "example", "id": "example"}Responses
Section titled “Responses”OK